# PhasicFlow: multiTriSurface Class Reference

multiTriSurface Class Reference
Inheritance diagram for multiTriSurface:
[legend]
Collaboration diagram for multiTriSurface:
[legend]

## Public Member Functions

| TypeInfoNV ("multiTriSurface")
| multiTriSurface ()
| multiTriSurface (const multiTriSurface &)=default
multiTriSurface & | operator= (const multiTriSurface &)=default
| multiTriSurface (multiTriSurface &&)=delete
multiTriSurface & | operator= (multiTriSurface &&)=delete
| ~multiTriSurface ()=default
bool | addTriSurface (const word &name, const triSurface &tSurf)
bool | addTriSurface (const word &name, const realx3x3Vector &vertices)
int32 | numSurfaces () const
void | clear ()
const auto & | pointsStartPos () const
const auto & | verticesStartPos () const
const auto & | surfaceNumPoints () const
auto & | surfaceNumPoints ()
int32 | surfNumPoints (int32 i) const
int32 | surfNumTriangles (int32 i) const
int32 | surfSize (int32 i) const
word | surfaceName (int32 i) const
bool | readMultiTriSurface (iIstream &is)
bool | writeMultiTriSurface (iOstream &os) const
bool | read (iIstream &is)
bool | write (iOstream &os) const
Public Member Functions inherited from triSurface
| TypeInfo ("triSurface")
| triSurface ()
| triSurface (const realx3Vector &points, const int32x3Vector &vertices)
| triSurface (const realx3x3Vector &triangles)
virtual | ~triSurface ()=default
size_t | numPoints () const
size_t | numTriangles () const
size_t | size () const
size_t | capacity () const
int32 | maxIndex () const
auto | getTriangleAccessor () const
const realx3Vector_D & | points () const
realx3Vector_D & | points ()
const realVector_D & | area () const
realVector_D & | area ()
const realx3 * | pointsData_D () const
realx3 * | pointsData_D ()
const int32x3Vector_D & | vertices () const
int32x3Vector_D & | vertices ()
int32x3 * | verticesData_D ()
const int32x3 * | verticesData_D () const
void | clear ()
int32 | calcMaxIndex () const
bool | readTriSurface (iIstream &is)
bool | writeTriSurface (iOstream &os) const
bool | read (iIstream &is)
bool | write (iOstream &os) const
Public Member Functions inherited from eventSubscriber
| eventSubscriber ()
virtual | ~eventSubscriber ()
virtual bool | subscribe (eventObserver *observer) const
virtual bool | unsubscribe (eventObserver *observer) const
bool | notify (const eventMessage &msg)
bool | notify (const eventMessage &msg, const List< eventObserver * > &exclutionList)

## Protected Member Functions

void | calculateVars ()
Protected Member Functions inherited from triSurface
int32 | addTriangle (const realx3x3 &tri, realx3Vector &points, int32x3Vector &vertices)
bool | check ()

## Protected Attributes

int32Field_HD | lastPointIndex_
int32Field_HD | lastVertexIndex_
wordField | surfaceNames_
int32Field_HD | surfaceNumPoints_
int32Vector_HD | pointsStartPos_
int32Field_HD | surfaceNumVertices_
int32Vector_HD | verticesStartPos_
int32 | numSurfaces_ = 0
Protected Attributes inherited from triSurface
realx3Field_D | points_
| points of triangles More...
int32x3Field_D | vertices_
| vectices indices of triangles More...
realField_D | area_
| area of each triangle More...
int32 | maxIndex_ = -1
Protected Attributes inherited from eventSubscriber
List< eventObserver * > | observerList_

## Detailed Description

Definition at line 33 of file multiTriSurface.hpp.

## Constructor & Destructor Documentation

## multiTriSurface() [1/3]

multiTriSurface | ( |  | ) |

Definition at line 85 of file multiTriSurface.cpp.

References multiTriSurface::calculateVars().

Here is the call graph for this function:

## multiTriSurface() [2/3]

multiTriSurface | ( | const multiTriSurface & |  | ) |

default

## multiTriSurface() [3/3]

multiTriSurface | ( | multiTriSurface && |  | ) |

delete

## ~multiTriSurface()

~multiTriSurface | ( |  | ) |

default

## Member Function Documentation

## calculateVars()

void calculateVars | ( |  | ) |

protected

Definition at line 24 of file multiTriSurface.cpp.

References VectorDual< T, MemorySpace >::capacity(), VectorDual< T, MemorySpace >::clear(), ForAll, multiTriSurface::lastPointIndex_, multiTriSurface::lastVertexIndex_, multiTriSurface::numSurfaces_, multiTriSurface::pointsStartPos_, VectorDual< T, MemorySpace >::push_back(), VectorDual< T, MemorySpace >::reallocate(), Vector< T, Allocator >::size(), multiTriSurface::surfaceNames_, multiTriSurface::surfaceNumPoints_, multiTriSurface::surfaceNumVertices_, VectorDual< T, MemorySpace >::syncViews(), and multiTriSurface::verticesStartPos_.

Referenced by multiTriSurface::multiTriSurface().

Here is the call graph for this function:
Here is the caller graph for this function:

## TypeInfoNV()

TypeInfoNV | ( | "multiTriSurface" |  | ) |

## operator=() [1/2]

multiTriSurface& operator= | ( | const multiTriSurface & |  | ) |

default

## operator=() [2/2]

multiTriSurface& operator= | ( | multiTriSurface && |  | ) |

delete

## addTriSurface() [1/2]

bool addTriSurface | ( | const word & | name,
|  | const triSurface & | tSurf
| ) |  |

Definition at line 96 of file multiTriSurface.cpp.

References VectorSingle< T, MemorySpace >::append(), triSurface::area(), fatalErrorInFunction, LAMBDA_HD, triSurface::points(), and triSurface::vertices().

Referenced by main().

Here is the call graph for this function:
Here is the caller graph for this function:

## addTriSurface() [2/2]

bool addTriSurface | ( | const word & | name,
|  | const realx3x3Vector & | vertices
| ) |  |

Definition at line 158 of file multiTriSurface.cpp.

## numSurfaces()

int32 numSurfaces | ( |  | ) | const

inline

Definition at line 86 of file multiTriSurface.hpp.

References multiTriSurface::numSurfaces_.

## clear()

void clear | ( |  | ) |

inline

Definition at line 91 of file multiTriSurface.hpp.

References triSurface::clear(), Vector< T, Allocator >::clear(), VectorDual< T, MemorySpace >::clear(), multiTriSurface::lastPointIndex_, and multiTriSurface::surfaceNames_.

Here is the call graph for this function:

## pointsStartPos()

const auto& pointsStartPos | ( |  | ) | const

inline

Definition at line 100 of file multiTriSurface.hpp.

References multiTriSurface::pointsStartPos_.

## verticesStartPos()

const auto& verticesStartPos | ( |  | ) | const

inline

Definition at line 105 of file multiTriSurface.hpp.

References multiTriSurface::verticesStartPos_.

## surfaceNumPoints() [1/2]

const auto& surfaceNumPoints | ( |  | ) | const

inline

Definition at line 110 of file multiTriSurface.hpp.

References multiTriSurface::surfaceNumPoints_.

## surfaceNumPoints() [2/2]

auto& surfaceNumPoints | ( |  | ) |

inline

Definition at line 115 of file multiTriSurface.hpp.

References multiTriSurface::surfaceNumPoints_.

## surfNumPoints()

int32 surfNumPoints | ( | int32 | i | ) | const

inline

Definition at line 120 of file multiTriSurface.hpp.

References multiTriSurface::surfaceNumPoints_.

## surfNumTriangles()

int32 surfNumTriangles | ( | int32 | i | ) | const

inline

Definition at line 125 of file multiTriSurface.hpp.

References multiTriSurface::surfaceNumVertices_.

Referenced by multiTriSurface::surfSize().

Here is the caller graph for this function:

## surfSize()

int32 surfSize | ( | int32 | i | ) | const

inline

Definition at line 130 of file multiTriSurface.hpp.

References multiTriSurface::surfNumTriangles().

Here is the call graph for this function:

## surfaceName()

word surfaceName | ( | int32 | i | ) | const

inline

Definition at line 135 of file multiTriSurface.hpp.

References multiTriSurface::surfaceNames_.

## readMultiTriSurface()

bool readMultiTriSurface | ( | iIstream & | is | ) |

Definition at line 211 of file multiTriSurface.cpp.

References IOstream::check(), and FUNCTION_NAME.

Referenced by pFlow::operator>>(), and multiTriSurface::read().

Here is the call graph for this function:
Here is the caller graph for this function:

## writeMultiTriSurface()

bool writeMultiTriSurface | ( | iOstream & | os | ) | const

Definition at line 232 of file multiTriSurface.cpp.

References IOstream::check(), and FUNCTION_NAME.

Referenced by pFlow::operator<<(), and multiTriSurface::write().

Here is the call graph for this function:
Here is the caller graph for this function:

## read()

bool read | ( | iIstream & | is | ) |

inline

Definition at line 146 of file multiTriSurface.hpp.

References multiTriSurface::readMultiTriSurface().

Here is the call graph for this function:

## write()

bool write | ( | iOstream & | os | ) | const

inline

Definition at line 151 of file multiTriSurface.hpp.

References multiTriSurface::writeMultiTriSurface().

Here is the call graph for this function:

## Member Data Documentation

## lastPointIndex_

int32Field_HD lastPointIndex_

protected

Definition at line 40 of file multiTriSurface.hpp.

Referenced by multiTriSurface::calculateVars(), and multiTriSurface::clear().

## lastVertexIndex_

int32Field_HD lastVertexIndex_

protected

Definition at line 43 of file multiTriSurface.hpp.

Referenced by multiTriSurface::calculateVars().

## surfaceNames_

wordField surfaceNames_

protected

Definition at line 46 of file multiTriSurface.hpp.

Referenced by multiTriSurface::calculateVars(), multiTriSurface::clear(), and multiTriSurface::surfaceName().

## surfaceNumPoints_

int32Field_HD surfaceNumPoints_

protected

Definition at line 48 of file multiTriSurface.hpp.

Referenced by multiTriSurface::calculateVars(), multiTriSurface::surfaceNumPoints(), and multiTriSurface::surfNumPoints().

## pointsStartPos_

int32Vector_HD pointsStartPos_

protected

Definition at line 50 of file multiTriSurface.hpp.

Referenced by multiTriSurface::calculateVars(), and multiTriSurface::pointsStartPos().

## surfaceNumVertices_

int32Field_HD surfaceNumVertices_

protected

Definition at line 52 of file multiTriSurface.hpp.

Referenced by multiTriSurface::calculateVars(), and multiTriSurface::surfNumTriangles().

## verticesStartPos_

int32Vector_HD verticesStartPos_

protected

Definition at line 54 of file multiTriSurface.hpp.

Referenced by multiTriSurface::calculateVars(), and multiTriSurface::verticesStartPos().

## numSurfaces_

int32 numSurfaces_ = 0

protected

Definition at line 56 of file multiTriSurface.hpp.

Referenced by multiTriSurface::calculateVars(), and multiTriSurface::numSurfaces().

The documentation for this class was generated from the following files:

- src/phasicFlow/structuredData/trisurfaceStructure/multiTriSurface.hpp
- src/phasicFlow/structuredData/trisurfaceStructure/multiTriSurface.cpp